##### 7.7.8.0. setLetterplaceAttributes

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  setLetterplaceAttributes(R, d, b); R a ring, b,d integers

Return:
  ring with special attributes set

Purpose:
  sets attributes for a letterplace ring:
  'isLetterplaceRing' = true, 'uptodeg' = d, 'lV' = b, where
  'uptodeg' stands for the degree bound,
  'lV' for the number of variables in the block 0.

Note:
  Activate the resulting ring by using `setring`

Example:

    LIB "freegb.lib";
    ring r = 0,(x(1),y(1),x(2),y(2),x(3),y(3),x(4),y(4)),dp;
    def R = setLetterplaceAttributes(r, 4, 2); setring R;
    attrib(R,"isLetterplaceRing");
    ==> 1
    lieBracket(x(1),y(1),2);
    ==> -y(1)*x(2)*x(3)*x(4)+3*x(1)*y(2)*x(3)*x(4)-3*x(1)*x(2)*y(3)*x(4)+x(1)*x(2\
       )*x(3)*y(4)

User manual for Singular version 4-0-3, 2016, generated by texi2html.